Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class DigipeatAliasTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.ka2ddo.yaac.gui.DigipeatAliasTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class DigipeatAliasTableModel

extends javax.swing.table.AbstractTableModel

This class manages the list of digipeat aliases recognized by YAAC.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Method Summary
`void` | `addRow()`
`void` | `deleteRow(int rowIndex)`
`java.lang.Class<?>` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()` Returns the number of columns in the model.
`java.lang.String` | `getColumnName(int column)` Returns the localized name for the column.
`DigipeatAliasRecord` | `getDigipeatRecord(java.lang.String baseCallsign)` Get a Digipeat alias record corresponding to the specified digipeater callsign, if such a record exists.
`static DigipeatAliasTableModel` | `getInstance()` Get a reference to the singleton DigipeatAliasCatalog.
`DigipeatAliasRecord` | `getRow(int rowIndex)` Get the Nth DigipeatAliasRecord in the catalog.
`int` | `getRowCount()` Returns the number of rows in the model.
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)` Returns the value for the cell at `columnIndex` and `rowIndex`.
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `setValueAt(java.lang.Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DigipeatAliasTableModel getInstance()

  Get a reference to the singleton DigipeatAliasCatalog.

  Returns:
    the DigipeatAliasCatalog object

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the model.

  Returns:
    the number of columns in the model
  See Also:
    `getRowCount()`

### getRowCount

    public int getRowCount()

  Returns the number of rows in the model.

  Returns:
    the number of rows in the model
  See Also:
    `getColumnCount()`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Returns the value for the cell at `columnIndex` and `rowIndex`.

  Parameters:
    `rowIndex` - the row whose value is to be queried
    `columnIndex` - the column whose value is to be queried
  Returns:
    the value Object at the specified cell

### getColumnClass

    public java.lang.Class<?> getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getColumnName

    public java.lang.String getColumnName(int column)

  Returns the localized name for the column.

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `column` - the column being queried
  Returns:
    a string containing the name of `column`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int rowIndex,
                           int columnIndex)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

### addRow

    public void addRow()

### deleteRow

    public void deleteRow(int rowIndex)

### getRow

    public DigipeatAliasRecord getRow(int rowIndex)

  Get the Nth DigipeatAliasRecord in the catalog.

  Parameters:
    `rowIndex` - zero-based row index
  Returns:
    DigipeatAliasRecord

### getDigipeatRecord

    public DigipeatAliasRecord getDigipeatRecord(java.lang.String baseCallsign)

  Get a Digipeat alias record corresponding to the specified digipeater callsign, if such a record exists.

  Parameters:
    `baseCallsign` - String callsign to search for
  Returns:
    DigipeatAliasRecord describing the authorized alias, or null if no enabled match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD